$(document).ready(function () {
    initializate()

})
function initializate() {
   $("#a").show();
    $('input[name="maintenanceType"]').change(function() {
        if ($(this).is(':checked')) {
            console.log($(this).val()); // 输出选中的值
            switch ($(this).val()) {
                case 'new':
                    if($("#mtart").val()=="ZMPN"){
                        UICtrl.enable($("#matnr"));
                    }else {
                        UICtrl.disable($("#matnr"));
                    }
                    UICtrl.disable($("#lvorm"));
                    UICtrl.enable($("#mtart"));
                    UICtrl.enable($("#matkl"));
                    UICtrl.enable($("#spart"));
                    break;
                case 'modify':
                    UICtrl.enable($("#lvorm"))
                    UICtrl.disable($("#mtart"));
                    UICtrl.disable($("#matkl"));
                    UICtrl.disable($("#spart"));
                    break;
                case 'extend':
                    UICtrl.enable($("#lvorm"))
                    UICtrl.disable($("#mtart"));
                    UICtrl.disable($("#matkl"));
                    UICtrl.disable($("#spart"));
                    break;
            }
        }
    });

    $('input[name="businessUsage"]').change(function() {
        if ($(this).is(":checked")) {
            console.log($(this).val()); // 输出选中的值
        }
    });

}

